
Redmine - Patch #21583

Use association instead of a manual JOIN in Project#rolled_up_trackers

2015-12-22 01:31 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.3.0   

Description

It does not make sence to use custom join, where rails provided join will do.

Associated revisions

Revision 15062 - 2016-01-16 09:22 - Jean-Philippe Lang

Use association instead of a manual JOIN (#21583).

Patch by Ondřej.

History

#1 - 2015-12-24 08:00 - Go MAEDA

- Category set to Code cleanup/refactoring

#2 - 2016-01-10 07:44 - Go MAEDA

- Target version set to 3.3.0

The patch has passed all tests.

#3 - 2016-01-16 09:22 - Jean-Philippe Lang

- Subject changed from Bit nicer query for project.rolled_up_trackers ? to Use association instead of a manual JOIN in Project#rolled_up_trackers

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

Files

project_nicer_trackers_query.diff 789 Bytes 2015-12-22 Ondřej Ezr
